Subject: RE: rebase for setup (curl)
From: "Roth, Kevin P." <[email-masked]>
To: "Jason Tishler" <[email-masked]>
Cc: "Cygwin" <[email-masked]>
Date: Fri, 4 Jan 2002 11:47:32 -0500

Negative - I get no warnings at all during the building of
cygcurl-2.dll.

Here's the gcc line that actually dumps out the dll:

$  gcc -Wl,--base-file,.libs/cygcurl-2.dll-base -Wl,--dll -nostartfiles
-Wl,-e,
__cygwin_dll_entry@12 -o .libs/cygcurl-2.dll  file.lo timeval.lo
base64.lo host
ip.lo progress.lo formdata.lo cookie.lo http.lo sendf.lo ftp.lo url.lo
dict.lo
if2ip.lo speedcheck.lo getdate.lo ldap.lo ssluse.lo version.lo getenv.lo
escape
.lo mprintf.lo telnet.lo getpass.lo netrc.lo getinfo.lo transfer.lo
strequal.lo
 easy.lo security.lo krb4.lo memdebug.lo http_chunks.lo strtok.lo
connect.lo  -
lssl -lcrypto

I can send more of the build output if you'd like, or feel free to grab
the
source and run it yourself if you like (my commands, straight-forward
though
they may be, are all documented in my readme).

--Kevin

-----Original Message-----
From: Jason Tishler [mailto:[email-masked]]
Sent: Friday, January 04, 2002 9:26 AM

Kevin,

On Thu, Jan 03, 2002 at 10:11:48AM -0500, Roth, Kevin P. wrote:
> > Determine why cygcurl-2.dll and possibly other DLLs do not 
> > tolerate rebasing.
> 
> I'm the curl maintainer.
> 
> Fair warning - I'm probably not going to be much help here
> (as far as figuring out why it's not relocatable), however
> if you can tell me what to do to fix it, or have any questions
> you want me to try and answer, I'll do my best.

Thanks for your offer to help.

Do you get any auto-import warnings during the building of
cygcurl-2.dll?
For example:

    Warning: resolving _stdscr by linking to __imp__stdscr (auto-import)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/